1. Payment Gateway
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Payment Gateway
    • Payment Callback Specification
    • Enums
    • Risk Control – Merchant Integration
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Order Refund
      POST
    • Fee Query
      POST
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
      POST
    • List Cardholders
      POST
    • Assign Physical Cards
      POST
    • List Assigned Physical Cards
      POST
    • Query Card Balance
      POST
    • Query Card Transactions
      POST
    • Query Account
      POST
    • Card Charge
      POST
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Payment Gateway

Card Direct Payin

POST
/v4/payin/create/card
Create a new incoming payment (collection) order direct.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v4/payin/create/card' \
--header 'Content-Type: application/json' \
--data-raw '{
    "merchant_id": 8820250900009,
    "order_no": "local-test-2",
    "order_amount": 20,
    "currency": "USD",
    "notify_url": "https://rbaskets.trustpay.money/checkout",
    "card_number": "4111111111111117",
    "card_expiry": "2028-09",
    "card_cvv": "123",
    "card_holder_first_name": "Test",
    "card_holder_last_name": "User",
    "card_holder_email": "test@example.com",
    "card_holder_phone": "1234567890",
    "billing_address_street": "123 Main St",
    "billing_city": "Los Angeles",
    "billing_postal_code": "90001",
    "billing_state": "",
    "billing_country": "US",
    "sign": "xxxx"
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "order_no": "46384ec4-3c8e-4eb2-9e52-69ebd6bcc429",
        "platform_order_no": "BW8i5ll0mle5cro4UmU55b2G",
        "currency": "USD",
        "order_amount": 10,
        "paid_amount": 10,
        "fee": 2.5,
        "status": 5,
        "reason": ""
    }
}
Modified at 2026-05-25 10:03:24
Previous
TrustPay Supported Billing Countries and US/Canada Regions
Next
Cashier Payin
Built with